// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#ifndef _WIN32_WINNT		// Allow use of features specific to Windows XP or later.                   
#define _WIN32_WINNT 0x0501	// Change this to the appropriate value to target other versions of Windows.
#endif						

#include <windows.h>
#include <stdio.h>
#include <iostream>
#include <conio.h>

#include "visa.h"

// Some common definitions
#define TR( _test ) CompareResult( VI_SUCCESS, _test, #_test, __LINE__, __FILE__ )
#define TLF( _test ) TestLockFailed( _test, #_test, __LINE__, __FILE__ )
#define CR( _res, _test ) CompareResult( _res, _test, #_test, __LINE__, __FILE__ )
#define CHECK( _exp ) Check( _exp, #_exp, __LINE__, __FILE__ )

bool CompareResult( ViStatus expected, ViStatus status, const char* sTest, unsigned uLine, char *sFile  );
bool TestLockFailed( ViStatus status, const char* sTest, unsigned uLine, char *sFile );
bool Check( bool bIsTrue, const char* sTest, unsigned uLine, char *sFile );
const char* GetViStatusString( ViStatus status );
void StartTest( ViRsrc name );
